import { RouteRecordRaw } from 'vue-router';
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
const router: RouteRecordRaw[] = [
  {
    path: '/users',
    component: () => import('@/layout/index.vue'),
    meta: { title: '用户管理', icon: 'user' },
    children: [
      {
        path: 'index',
        name: 'user-account',
        meta: { title: '添加投手', icon: 'home' },
        component: () => import('@/views/user/caster/index.vue')
      }
    ]
  }
];

export default router;
