import { RouteRecordRaw } from 'vue-router';
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
const router: RouteRecordRaw[] = [
  {
    path: '/video',
    component: () => import('@/layout/index.vue'),
    meta: { title: '视频库管理', icon: 'user' },
    children: [
      {
        path: 'video',
        name: 'video-account',
        meta: { title: '视频库管理', icon: 'home' },
        component: () => import('@/views/videoManage/index.vue')
      }
    ]
  }
];

export default router;
